.h1,
.h1-bold,
.h2,
.h2-bold {
    font-optical-sizing: auto;
    font-family: Inter, sans-serif
}

.h1,
.h1-bold,
.h2,
.h2-bold,
.h3,
.h3-bold {
    font-family: Inter, sans-serif
}

.bold,
.h1,
.h1-bold,
.h2-bold,
.h3-bold,
.subh1-bold,
.subh2-bold {
    font-weight: 600
}

.icon-button,
.logo-container {
    display: flex;
    align-items: center
}

.input-prefix-icon,
.navbar-icon,
html {
    background-color: #F8F2EC
}

#menu-main-overlay,
.footer,
.language-content,
.language-overlay,
.navbar-content {
    left: 0;
    position: fixed
}

a.spot h2,
a.spot p {
    margin-bottom: 0
}

.navbar-content,
.tab-container {
    overflow: hidden
}

.business-item-offers .coupon-bubble,
.business-item-offers .coupon-bubble2,
.business-item-offers .credits-box
{
    filter: drop-shadow(0px 1px 1px rgba(0, 0, 0, .09)) drop-shadow(0px 2px 1px rgba(0, 0, 0, .05)) drop-shadow(0px 4px 1px rgba(0, 0, 0, .01)) drop-shadow(0px 6px 2px rgba(0, 0, 0, 0))
}

.h1,
.h1-bold {
    letter-spacing: -2%;
    font-size: 34px;
    line-height: 40px;
    font-weight: 400 !important;
}

.h2,
.h2-bold {
    color: #A41D5E;
    font-weight: 400;
    font-size: 26px;
    line-height: 34px
}

.h3,
.h3-bold {
    font-optical-sizing: auto;
    letter-spacing: -2%;
    font-size: 20px;
    line-height: 24px
}

.description,
.subh1,
.subh1-bold,
.subh2,
.subh2-bold {
    font-family: Inter, sans-serif;
    font-optical-sizing: auto
}

.subh1,
.subh1-bold {
    letter-spacing: -2%;
    font-size: 18px;
    line-height: 21.78px
}

.subh2,
.subh2-bold {
    letter-spacing: -1%;
    font-size: 16px;
    line-height: 19.36px
}

.description {
    font-size: 12px;
    line-height: 14.52px
}

.text,
html,
input {
    font-family: Inter, sans-serif;
    font-optical-sizing: auto;
    font-size: 14px;
    line-height: 20px
}

.button-text.error,
.error,
a.error {
    color: #ba1600
}

.text,
input {
    letter-spacing: 0;
    font-weight: 400
}

html {
    color: #232122
}

body {
    padding: 0;
    margin: 0
}

.input-prefix-icon {
    padding: 12px 12px 12px 40px;
    border: 1px solid #c7c4ca;
    border-radius: 12px;
    width: 100%;
    box-sizing: border-box
}

.input-prefix-icon.success {
    border-color: #06960d
}

.input-prefix-icon.error {
    color: #ba1600;
    border-color: #ba1600
}

.input-prefix-icon.error+svg {
    stroke: #ba1600
}

.input-prefix-icon+svg {
    display: block;
    padding: 12px;
    margin-top: -45px;
    z-index: 888;
    stroke: #808080
}

input:not(:placeholder-shown)+svg {
    stroke: #232122
}

.error-message {
    color: #ba1600;
    text-align: right;
    margin-top: 6px
}

.businesses .scanner-content .h2-bold,
.button-text,
.login-footer-no-account,
.navbar-copyright,
.navbar-register,
a {
    text-align: center
}

.logo-container {
    margin-left: 16px;
    font-size: 20px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
    letter-spacing: -.2px;
    text-transform: uppercase;
    gap: 8px;
    color: #A41D5E
}

.button-text,
a,
h4 {
    line-height: 20px
}

.navbar-icon {
    background-color: transparent;
    display: flex;
    justify-content: end;
    align-items: center;
    position: absolute;
    right: 0;
    top: 12px;
    z-index: 999
}

.desktop-view .navbar .navbar-icon {
    border-radius: 50px !important;
}

.button-text,
.icon-button-round,
a {
    border: 0;
    background-color: transparent
}

label.icon-button {
    position: absolute;
    z-index: 1002;
    top: 0;
    justify-content: end
}

.icon-button {
    padding: 16px
}

.button-text,
a {
    padding: 0;
    color: #A41D5E;
    font-weight: 600;
    text-decoration: none;
    font-size: 14px
}

a.spot h2,
h4 {
    font-size: 16px
}

.icon-button-round {
    display: inline-block;
    padding: 8px;
    align-items: center;
    border-radius: 104px
}

.menu-wrapper,
.navbar-content-header {
    display: flex;
    justify-content: space-between
}

.icon-button-round.distinct {
    background-color: rgba(255, 255, 255, .9)
}

.navbar-content-header {
    align-items: center;
    height: 56px
}

#menu-main-overlay {
    display: none;
    opacity: 0;
    transition: opacity .2s ease-in-out;
    top: 0;
    width: 100%;
    height: 100%;
    backdrop-filter: blur(6px);
    background-color: rgba(0, 0, 0, .7);
    z-index: 5
}

.navbar-content {
    top: 0;
    width: 87%;
    background-color: #F8F2EC;
    transition: transform .15s ease-in-out;
    transform: translateX(120%);
    box-shadow: 0 0 10px 2px #00000099;
    border-radius: 16px 0 0 16px;
    z-index: 999;
    height: 100vh
}

.button-social,
.tile {
    background-color: #fff
}

.navbar-register {
    margin: 24px 16px 8px;
    display: flex;
    flex-direction: column;
    gap: 8px
}

.navbar-copyright {
    padding: 16px 0;
    color: grey
}

.navbar-delete-personals {
    text-align: center;
    width: 100%;
    padding: 8px 0
}

.navbar-logged-avatar {
    margin-top: 24px;
    display: flex;
    justify-content: center;
    align-items: center
}

.navbar-logged-avatar img {
    border-radius: 50px;
    overflow: hidden
}

.navbar-inner {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100%
}

.menu-wrapper {
    flex-direction: column
}

.menu-item,
.section.loyalty-card .qr {
    justify-content: space-between;
    display: flex
}

.menu {
    margin-top: 40px
}

.menu-label {
    padding-left: 16px;
    color: grey
}

.menu-item {
    color: #232122;
    padding: 16px;
    align-items: center;
    list-style-type: none;
    border-bottom: 1px solid #ededed
}

.menu-item>div:nth-of-type(2) {
    display: flex
}

.menu-item svg.dot {
    fill: #cac7c4
}

.menu-item.selected {
    color: #91104E
}

.menu-item.selected .menu-item-title svg {
    stroke: #91104E;
    fill: transparent
}

.menu-item.selected svg {
    fill: #91104E
}

.menu-item-language svg {
    fill: none;
    stroke: #232122
}

.history-item:last-of-type,
.menu .menu-item:last-of-type {
    border-bottom: 0
}

.menu-item-title {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px
}

.menu-item-title-text {
    line-height: 14px
}

.socials-wrapper {
    display: flex;
    gap: 8px;
    justify-content: center;
    align-items: center
}

.section {
    margin: 0 16px
}

.home-page {
    display: flex;
    flex-direction: column;
    gap: 24px;
    padding: 56px 0 82px
}

.home-page .main-header-wrapper {
    display: flex;
    justify-content: end;
    position: absolute
}

.home-page .section.register {
    display: flex;
    flex-direction: column;
    gap: 16px
}

.home-page .section.register .tile {
    flex: 1;
    display: flex;
    flex-direction: column;
    gap: 8px
}

.business-item-offers .coupon-container,
.home-page .section.loyalty-programs,
.language-content .menu,
.section.loyalty-card .qr-desc {
    display: flex;
    flex-direction: column;
    gap: 8px
}

.home-page .section.loyalty-programs .h3 {
    color: #A41D5E
}

.section.loyalty-card {
    display: flex;
    gap: 8px;
    flex-direction: column
}

.section.loyalty-card .qr {
    align-items: center;
    gap: 16px
}

.section.loyalty-card .desc {
    display: flex;
    gap: 8px;
    justify-content: space-between;
    align-items: center
}

.section.loyalty-card .desc .businesses,
.section.loyalty-card .desc .visits {
    padding: 12px;
    flex: 1;
    display: flex;
    gap: 12px;
    flex-direction: column;
    justify-content: center;
    align-items: center
}

.section.loyalty-card .show-businesses {
    margin-top: 16px
}

.language-content .menu:first-of-type,
a.spot h2 {
    margin-top: 0
}

.tile {
    border-radius: 14px;
    padding: 8px
}

.button-social {
    flex: 1;
    display: flex;
    border: 0;
    flex-direction: column;
    gap: 8px;
    border-radius: 8px;
    padding: 12px;
    justify-content: center;
    align-items: center
}

.button-default {
    font-size: 14px;
    border-radius: 1000px;
    padding: 20px;
    border: 1px solid #232122;
    background-color: #F8F2EC;
    backdrop-filter: blur(10px);
    width: 100%;
    font-weight: 600
}

.button-default-medium,
.footer .button {
    padding: 12px 20px
}

.button-default.selected {
    background-color: #F8F2EC;
    color: #fff
}

.button-default:disabled {
    background-color: #232122;
    color: #fff;
    opacity: .5
}

.button-primary {
    background: #232122;
    color: #fff
}

.button-secondary {
    border: 1px solid #cac7c4;
    background: 0 0;
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, .1);
    backdrop-filter: blur(20px)
}

.button-nav {
    padding: 8px 12px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    border-radius: 56px;
    border: 0;
    white-space: nowrap;
    background-color: transparent;
    color: grey
}

.button-nav.selected {
    font-weight: 600;
    background-color: #A41D5E;
    color: #fff
}

main {
    display: contents;
    width: 100%
}

.footer {
    bottom: 0;
    width: 100%;
    background-color: #fff
}

.footer-content {
    display: flex;
    justify-content: space-between;
    padding: 10px 16px;
    gap: 20px
}

.footer-content-item {
    flex: 1;
    display: flex;
    justify-content: center
}

.footer .button {
    display: flex;
    min-width: 44px;
    justify-content: center;
    align-items: center;
    gap: 8px;
    border-radius: 1000px;
    border: 0;
    width: 100%;
    background-color: transparent;
    color: #232122;
    font-weight: 600
}

.footer .button svg {
    display: block;
    stroke: #232122
}

.footer .button .button-label {
    display: none
}

.footer .button.selected {
    background-color: #F8F2EC;
    color: #A41D5E;
    font-weight: 600
}

.footer .button.selected svg {
    stroke: #A41D5E
}

#switch:checked+label svg#switch_on,
#switch:checked~#switch_on,
#switch:not(:checked)+label svg#switch_off,
.footer .button.selected .button-label {
    display: block
}

.language-content {
    bottom: 0;
    width: 100%;
    background-color: #F8F2EC;
    border-radius: 16px 16px 0 0;
    padding-top: 8px;
    transform: translateY(100%);
    transition: .2s ease-in-out;
    z-index: 1006
}

.language-overlay,
.popup-overlay {
    transition: opacity .2s ease-in-out
}

.history-item-wrapper,
.language-content .menu-header {
    display: flex;
    justify-content: space-between;
    align-items: center
}

.language-content .menu-label {
    padding: 16px
}

.language-overlay {
    display: none;
    opacity: 0;
    top: 0;
    width: 100%;
    height: 100%;
    backdrop-filter: blur(6px);
    background-color: rgba(0, 0, 0, .7);
    z-index: 1005
}

.language-content .menu-items {
    max-height: 400px;
    overflow-y: scroll
}

.businesses .searchnav {
    display: flex;
    margin: 16px 0 0 16px
}

.businesses .nav-button {
    padding: 0 16px;
    display: flex;
    align-items: center
}

.businesses .search-wrapper {
    flex: 1 1 0%
}

.businesses input.search {
    background-color: #fff;
    border-radius: 12px;
    border: 0;
    height: 48px;
    padding-left: 50px;
    position: relative;
    z-index: 1;
    width: calc(100% - 110px);
    display: flex
}

.businesses input.search::placeholder {
    font-family: Inter;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: normal
}

.businesses .search+img {
    display: block;
    padding: 12px;
    position: relative;
    margin-top: -48px;
    z-index: 888
}

.businesses .scanner {
    margin: 16px 16px 0;
    background-image: url("data:image/svg+xml,%3csvg width='100%25' height='100%25' xmlns='http://www.w3.org/2000/svg'%3e%3crect width='100%25' height='100%25' fill='none' rx='30' ry='30' stroke='%23cac7c4' stroke-width='1' stroke-dasharray='10%2c 10' stroke-dashoffset='0' stroke-linecap='round'/%3e%3c/svg%3e");
    display: flex;
    padding: 52px 0 8px;
    flex-direction: column;
    justify-content: flex-end;
    align-items: center;
    gap: 52px
}

.businesses .scanner-content {
    display: flex;
    flex-direction: column;
    gap: 16px;
    align-items: center
}

.h3-history,
.history-item a,
a.spot h2,
a.spot p {
    text-align: left
}

.businesses .scanner-button.button-default {
    background-color: #fff;
    width: calc(100% - 16px);
    border: 0
}

.businesses .section.last-visited {
    margin: 24px 16px 0
}

.businesses .section.all-businesses {
    margin: 24px 16px 72px;
    display: flex;
    flex-direction: column;
    gap: 8px
}

.business-item-offers {
    padding: 0 0 102px
}

.business-item-offers .header-image-content {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 237px
}

.business-item-offers .header-image .h2-bold {
    margin-left: 16px;
    color: #fff
}

.business-item-offers .header-image-nav {
    top: 0;
    width: 100%;
    display: flex;
    justify-content: space-between
}

.business-item-offers .header-image-nav .icon-button-round {
    height: 25px;
    margin: 16px 8px 8px 16px;
    background-color: transparent;
    box-shadow: none
}

.business-item-offers .business-item-nav {
    margin: 16px 0;
    display: flex;
    gap: 4px;
    overflow: scroll;
    scrollbar-width: none
}

.business-item-offers .business-item-nav::-webkit-scrollbar {
    display: none
}

.business-item-offers .business-item-nav>:first-child,
.business-item-offers .tickets-container>:first-child {
    margin-left: 16px
}

.business-item-offers .business-item-nav>:last-child,
.business-item-offers .ticket:last-of-type,
.business-item-offers .tickets-container>:last-child {
    margin-right: 16px
}

.business-item-offers .credits-box {
    padding: 16px;
    position: relative;
    display: flex;
    align-items: center
}

.business-item-offers .credits-box-value {
    color: #fff;
    font-family: Inter, sans-serif;
    font-style: normal;
    font-weight: 600;
    letter-spacing: -.8px;
    position: absolute;
    top: 45%;
    left: 8%;
    transform: translateY(-75%);
    font-size: 40px;
    display: flex;
    align-items: center;
    gap: 8px;
    justify-content: start
}

.h3-history,
.history-item a,
a.spot .badge,
h4 {
    font-weight: 400
}

.business-item-offers .credits-box-value.points {
    top: 63%
}

.business-item-offers .credits-box-qr.points {
    top: 67%
}

.business-item-offers .credits-box-label {
    opacity: .5
}

.business-item-offers .credits-box-qr {
    background-color: #fff;
    position: absolute;
    top: 48%;
    margin-top: -30px;
    right: 8%;
    width: 40px;
    height: 40px;
    border-radius: 40px;
    display: flex;
    justify-content: center;
    align-items: center
}

.business-item-offers .credits-box-qr svg {
    fill: #232122
}

.business-item-offers .tickets-container {
    display: flex;
    gap: 16px;
    padding-top: 8px;
    overflow: scroll hidden;
    scrollbar-width: none;
}

.business-item-offers .tickets-container::-webkit-scrollbar {
    display: none
}

.business-item-offers .tickets-title {
    margin: 16px 16px 0
}

.business-item-offers .ticket {
    margin: 6px 0 4px
}

.business-item-offers .ticket-content {
    width: 280px;
    height: 88px;
    background-color: #fff;
    border-radius: 16px;
    box-shadow: inset 0 0 3px 1px rgba(0, 0, 0, .02), 0 0 5px -2px rgba(0, 0, 0, .8);
}

.business-item-offers .ticket-content,
.business-item-offers .ticket-icon,
.business-item-offers .ticket-desc,
.business-item-offers .credits-box {
    animation: pulse 7s ease-out infinite;
}

@keyframes pulse {
    30% {
        transform: scale(1);
    }
    32% {
        transform: scale(1.03);
    }
    33% {
        transform: scale(1);
    }
}

.business-item-offers .ticket-content::before {
    content: '';
    left: 62px;
    width: 36px;
    top: -4px;
    height: 18px;
    border-radius: 0 0 36px 36px;
    background: #F8F2EC;
    display: block;
    position: relative;
    margin-top: -6px;
    box-shadow: 0px 2px 3px -1px rgba(0, 0, 0, 0.14);
}

.business-item-offers .ticket-content::after {
    content: '';
    width: 36px;
    height: 18px;
    border-radius: 36px 36px 0 0;
    background: #F8F2EC;
    left: 62px;
    bottom: 36px;
    display: block;
    position: relative;
    box-shadow: 0px -2px 3px -1px rgba(0, 0, 0, 0.14);
}

.business-item-offers .ticket-inner {
    height: 88px;
    margin-top: -16px
}

.business-item-offers .ticket-inner::after {
    content: '';
    display: block;
    height: 48px;
    width: 3px;
    margin-left: 79px;
    margin-top: 20px;
    background: repeating-linear-gradient(to bottom, #F8F2EC 0, #F8F2EC 5px, transparent 5px, transparent 10px)
}

.business-item-offers .ticket-icon {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 80px;
    height: 88px;
    border-radius: 16px 0 0 16px;
    position: relative;
    margin-top: -88px;
    background-size: 43px;
    background-position: center;
    background-repeat: no-repeat
}

.business-item-offers .ticket-desc {
    display: flex;
    justify-content: center;
    flex-direction: column;
    width: 180px;
    height: 88px;
    margin-top: -88px;
    margin-left: 96px;
    text-align: left
}

.business-item-offers .ticket-desc .h3-bold {
    margin-right: 20px
}

.business-item-offers .ticket-desc .desc,
.history-item-chip-label,
.login-header-description,
.modal-desc-items-item-label,
.modal-header-desc,
.profile-edit-section .description {
    color: grey
}

.business-item-offers .coupon-title {
    margin: 24px 16px 8px
}

.business-item-offers .coupon-bubble {
    background-color: #fff;
    border-radius: 16px;
    padding: 16px;
    margin: 0 16px;
    gap: 16px;
    display: flex;
    flex-direction: column
}

.business-item-offers .coupon-main {
    display: flex;
    justify-content: flex-start;
    align-items: center
}

.business-item-offers .coupon-bubble-icon {
    display: flex;
    justify-content: center;
    align-items: center;
    min-width: 42px;
    min-height: 42px;
    border-radius: 48px;
    background-color: #ededed;
    margin-right: 16px;
    background-size: 30px;
    background-position: center;
    background-repeat: no-repeat
}

.business-item-offers .coupon-bubble-content {
    display: flex;
    flex-direction: column;
    gap: 4px
}

.business-item-offers .coupon-bubble-content .desc {
    opacity: .6
}

.business-item-offers .coupon-usage {
    background-color: #F8F2EC;
    border-radius: 100px;
    justify-content: space-between;
    padding: 0
}

.business-item-offers .coupon-usage-used {
    padding: 6px 12px;
    border-radius: 100px;
    width: 25%;
    min-width: 80px;
    white-space: nowrap;
    color: #fff;
    background-color: #A41D5E;
    border: 2px solid #F8F2EC
}

.business-item-offers .coupon-usage-remaining {
    position: absolute;
    right: 25px;
    bottom: 25px
}

.business-item-offers .coupon-nothing {
    font-style: italic;
    color: grey;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 20px
}

.history-item-content,
.points-offer,
.popup {
    flex-direction: column;
    display: flex
}

.h3-history {
    padding: 0 16px;
    margin: 40px 0 0;
    font-size: 20px
}

.history-item {
    border-bottom: 1px solid #ededed;
    padding: 16px 0 12px;
    margin: 0 16px
}

.history-item a {
    color: #232122
}

.history-item-image div {
    border-radius: 14px;
    background-color: #A41D5E;
    width: 56px;
    height: 56px
}

.history-item-container {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 8px
}

.history-item-date {
    margin-top: 4px;
    color: grey
}

.history-item-chips {
    display: flex;
    gap: 8px;
    flex-wrap: wrap;
    margin-top: 8px
}

.history-item-chip {
    background-color: #fff;
    padding: 5px 10px;
    align-items: center;
    display: flex;
    gap: 8px;
    border-radius: 48px
}

.popup-bottom,
.popup-desc {
    padding: 0 24px
}

.history-item-prelink {
    margin-right: -16px
}

.camera {
    position: fixed;
    display: flex;
    width: 56px;
    height: 56px;
    bottom: 70px;
    right: 10px;
    border-radius: 56px;
    justify-content: center;
    align-items: center;
    flex-shrink: 0;
    background-color: #A41D5E;
    z-index: 995
}

.modal-overlay,
.popup-overlay {
    background: rgba(0, 0, 0, .7);
    backdrop-filter: blur(6px);
    height: 100%;
    position: fixed;
    top: 0;
    left: 0
}

.camera svg {
    fill: white
}

.popup {
    position: fixed;
    z-index: 1050;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0
}

.modal,
.popup-content {
    flex-direction: column
}

.popup-overlay {
    width: 100%;
    z-index: 1049
}

.modal-content,
.popup-content {
    transition: .4s ease-in-out;
    width: 100%;
    text-align: center
}

.popup-content {
    display: flex;
    justify-content: flex-end;
    gap: 24px;
    align-items: center;
    color: #fff;
    transform: translateY(100%)
}

.modal-desc,
.popup-desc {
    justify-content: center;
    display: flex
}

.popup-square .img {
    border-radius: 16px;
    margin: 0 24px
}

.popup-square .img img {
    width: 100%;
    min-width: 280px;
    height: 100%;
    border-radius: 8px;
    background: #fff;
    aspect-ratio: 1/1;
    display: block;
    padding: 16px;
    box-sizing: border-box
}

.popup-desc {
    flex-direction: column;
    gap: 8px;
    align-items: center
}

.login-header .h2-bold,
.points-item p,
.popup-desc p {
    margin: 0
}

.popup svg.chevron {
    stroke: #ffffff
}

.popup-square {
    margin-bottom: 48px
}

.modal {
    display: flex;
    position: fixed;
    z-index: 2150;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0
}

.modal-content {
    display: flex;
    flex-direction: column;
    gap: 24px;
    align-items: center;
    opacity: 0;
    transform: scale(25%)
}

.modal-overlay {
    width: 100%;
    z-index: 2055;
    transition: opacity .2s ease-in-out
}

.modal-block {
    background-color: #fff;
    border-radius: 16px;
    margin: 16px;
    max-width: 400px;
    min-width: 260px;
    padding: 24px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-direction: column;
    gap: 24px
}

.modal-header {
    display: flex;
    gap: 8px;
    flex-direction: column;
    align-items: center;
    justify-content: center
}

.modal-block .button-default {
    background-color: #232122;
    color: #fff
}

a.spot .badge,
a.spot h2,
h4 {
    color: #232122
}

.modal-desc {
    flex-direction: column;
    gap: 16px;
    align-items: center;
    width: 100%
}

.modal-desc-items {
    display: flex;
    justify-content: center;
    flex-direction: column;
    gap: 8px;
    align-items: center;
    width: 100%
}

.modal-desc-items-item {
    display: flex;
    width: 100%;
    justify-content: space-between
}

.modal-hr {
    background-color: #ededed;
    width: 100%;
    height: 1px
}

.profile {
    margin-bottom: 70px
}

.profile-logged-user {
    display: flex;
    flex-direction: column;
    padding: 16px;
    justify-content: center;
    align-items: center;
    gap: 8px;
    margin: 20px 0 40px
}

.profile-logged-user>div {
    width: 100%;
    text-align: center
}

.profile-logged-user .button-default {
    width: 240px;
    margin-top: 16px;
    color: #232122
}

.profile-logged-user-email {
    text-align: center;
    width: 100%;
    display: block
}

.profile-edit {
    margin-bottom: 70px;
    width: 100%
}

.profile-edit-title {
    margin: 0 0 40px;
    text-align: center
}

.profile-edit-form {
    display: flex;
    flex-direction: column;
    gap: 24px;
    padding: 0 16px
}

.profile-edit-section {
    display: flex;
    gap: 12px;
    flex-direction: column
}

.profile-edit-nav .icon-button-round {
    height: 25px;
    margin: 16px 8px 8px 16px
}

.profile-edit-switch {
    display: flex;
    justify-content: start;
    flex-direction: row
}

.login,
.login-form {
    flex-direction: column
}

#switch:checked+label svg#switch_off,
#switch:checked~#switch_off,
#switch:not(:checked)+label svg#switch_on {
    display: none
}

.login {
    display: flex;
    justify-content: space-between;
    padding-top: 50px;
    padding-bottom: 80px;
    gap: 40px;
    height: calc(100% - 130px)
}

.login-header {
    display: flex;
    gap: 8px;
    justify-content: center;
    flex-direction: column;
    text-align: center;
    margin: 16px 16px 24px
}

.login-footer,
.login-form {
    margin: 0 16px;
    display: flex
}

.login-form {
    gap: 12px
}

.login-footer {
    flex-direction: column;
    gap: 16px
}

.login-button {
    border-radius: 1000px;
    background: #232122;
    backdrop-filter: blur(10px);
    color: #fff
}

.alert {
    margin: 16px;
    padding: 10px;
    border-radius: 16px;
    color: #000;
    text-align: center
}

.alert-success {
    background: #caf3d0;
    border: 1px solid #7dee8c;
    text-align: center
}

.alert-warning {
    background: #f3e3ca;
    border: 1px solid #eeb97d;
    text-align: center
}

.desktop-view {
    width: 400px;
    height: 700px;
    position: absolute !important;
    top: 50%;
    left: 50%;
    margin-top: -350px;
    margin-left: -200px;
    border: 8px solid #000;
    border-radius: 30px;
    display: flex
}

.desktop-view .camera {
    margin-left: 334px;
    margin-top: 420px;
    right: auto;
    bottom: auto
}

.desktop-view .home-page {
    border-radius: 30px 30px 0 0
}

.desktop-view .navbar .navbar-icon {
    border-radius: 0 30px 0 16px
}

.desktop-view #footer-bar {
    border-radius: 0 0 20px 20px
}

.desktop-view #page-content {
    overflow-y: auto;
    flex: 1 1 auto;
    min-height: 0;
    scrollbar-width: none;
    border-radius: 20px
}

.desktop-view .home-page::-webkit-scrollbar {
    width: 2px
}

.desktop-view .home-page::-webkit-scrollbar-track {
    background: 0 0
}

.desktop-view .home-page::-webkit-scrollbar-thumb {
    background-color: #bbb;
    border-radius: 4px
}

.desktop-view .tab-inner {
    min-height: 395px
}

.desktop-view .tab-content {
    min-width: 400px
}

.user-image {
    display: block;
    margin: 0 auto;
    width: 100px;
    height: 100px;
    border-radius: 50px;
    background: #A41D5E
}

.coupon-bubble2,
.points-item,
a.spot {
    border-radius: 16px
}

.input-prefix-icon:focus,
.input-prefix-icon:focus-visible {
    outline: #A41D5E solid 2px;
    border-color: #A41D5E
}

.input-prefix-icon:focus+svg,
.input-prefix-icon:focus-visible+svg {
    stroke: #A41D5E
}

#preview video {
    height: 336px
}

a.spot {
    box-shadow: 0 0 10px -8px #00000050;
    margin-bottom: 20px
}

a.spot>.inner {
    border-radius: 16px 16px 0 0;
    padding: 16px;
    display: flex;
    flex-direction: column;
    background: 0 0/100% #fff;
    background-position-y: 50%
}

a.spot>.outer {
    background: #fff;
    padding: 16px;
    border-radius: 0 0 16px 16px
}

a.spot p {
    color: grey;
    font-size: 11px;
    font-weight: 100;
    line-height: 13px;
    margin-top: 4px
}

a.spot .badge {
    align-self: start;
    border-radius: 20px;
    padding: 6px 12px;
    margin-bottom: 80px;
    box-shadow: 0 0 15px -8px #00000050
}

a.spot .badge .text {
    color: #000;
    font-size: 12px
}

#business-headline::after {
    content: '';
    background: linear-gradient(#00000000, #000000cc);
    width: calc(100% + 16px);
    display: block;
    height: 80px;
    position: relative;
    margin-top: -90px;
    left: -16px;
    z-index: 0;
    bottom: -24px
}

#business-headline span {
    z-index: 2;
    position: relative
}

.tab-inner {
    display: flex;
    min-height: calc(100vh - 410px)
}

.tab-content {
    transform: translateX(100%);
    width: 100%;
    min-width: 100vw;
    height: auto;
    transition: .4s ease-in-out
}

.tab-content.active {
    display: block !important
}

.wallets {
    text-align: center;
    margin-top: 20px
}

.occasion_valentine {
    background-color: #ff69b4 !important
}

.occasion_mothers_day,
.occasion_womens_day {
    background-color: #c71585 !important
}

.occasion_halloween {
    background-color: #eb6123 !important
}

.points-item {
    display: flex;
    flex-direction: row;
    background: #fff;
    color: #000;
    padding: 16px;
    margin-bottom: 10px;
    text-align: left;
    gap: 10px;
    align-items: center
}

.points-item img {
    width: 50px !important;
    min-width: 50px !important;
    padding: 0 !important
}

.points-item .button-default {
    width: auto;
    padding: 10px 20px;
    height: 40px;
    margin-left: auto
}

.points-item h4 {
    margin: 0;
    font-weight: 600
}

.pointsPopup-overlay {
    background: rgba(0, 0, 0, .7);
    backdrop-filter: blur(6px);
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1109;
    transition: opacity .2s ease-in-out
}

#pointsPopup {
    z-index: 1110
}

.popup-content .popup-square {
    overflow-y: scroll;
    scrollbar-width: none;
    max-height: 70vh
}

.coupon-bubble-icon img {
    max-width: 30px
}

.coupon-bubble2 {
    display: flex;
    align-items: stretch;
    max-width: 100%;
    margin: 0 16px 16px;
    background: #fff
}

.coupon-main2 {
    display: flex;
    flex-direction: row;
    width: 100%
}

.coupon-bubble-icon2 {
    position: relative;
    width: 100px;
    flex-shrink: 0
}

.coupon-bubble-img2 {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    border-radius: 16px 0 0 16px
}

.coupon-bubble-content2 {
    flex: 1;
    padding: 10px;
    display: flex;
    flex-direction: column;
    justify-content: center
}

.coupon-bubble-content2 .desc {
    opacity: .6;
    font-weight: 400
}

.business-item-offers .coupon-usage {
    position: relative
}

.business-item-offers .coupon-usage-remaining {
    position: absolute;
    right: 10px;
    bottom: 8px
}
